
From: Nick Piggin <piggin@cyberone.com.au>




 Documentation/must-fix.txt   |   15 ++++-----
 Documentation/should-fix.txt |   68 +------------------------------------------
 2 files changed, 10 insertions(+), 73 deletions(-)

diff -puN Documentation/must-fix.txt~must-fix-update-5 Documentation/must-fix.txt
--- 25/Documentation/must-fix.txt~must-fix-update-5	2003-12-18 17:54:41.000000000 -0800
+++ 25-akpm/Documentation/must-fix.txt	2003-12-18 17:54:41.000000000 -0800
@@ -80,15 +80,14 @@ drivers/net/
 drivers/net/irda/
 ~~~~~~~~~~~~~~~~~
 
-o dongle drivers need to be converted to sir-dev
+  (Jean Tourrilhes)
 
 o irport need to be converted to sir-kthread
 
-o new drivers (irtty-sir/smsc-ircc2/donauboe) need more testing
+o dongle drivers need to be converted to sir-dev (in progress)
+
+o new drivers (irtty-sir/smsc-ircc2/donauboe) need more testing (in progress)
 
-o rmk: Refuse IrDA initialisation if sizeof(structures) is incorrect (I'm
-  not sure if we still need this; I think gcc 2.95.3 on ARM shows this
-  problem though.)
 
 drivers/pci/
 ~~~~~~~~~~~~
@@ -154,10 +153,10 @@ o forward-port sct's O_DIRECT fixes (Bad
 o viro: there is some generic stuff for namei/namespace/super, but that's a
   slow-merge and can go in 2.6 just fine
 
-o andi: also soft needs to be fixed - there are quite a lot of
-  uninterruptible waits in sunrpc/nfs
+o trond: NFS has a mmap-versus-truncate problem (fixed? needs testing)
 
-o trond: NFS has a mmap-versus-truncate problem
+o trond: NFSv4 client, bugs in lockd, RPSEC_GSS for NFSv[23], some atomic open
+  bits. more info: http://www.fys.uio.no/~trondmy/src/Linux-2.6.x/2.6.0-test11/
 
 kernel/sched.c
 ~~~~~~~~~~~~~~
diff -puN Documentation/should-fix.txt~must-fix-update-5 Documentation/should-fix.txt
--- 25/Documentation/should-fix.txt~must-fix-update-5	2003-12-18 17:54:41.000000000 -0800
+++ 25-akpm/Documentation/should-fix.txt	2003-12-18 17:54:41.000000000 -0800
@@ -52,15 +52,6 @@ drivers/net/wireless/
 
   (Jean Tourrilhes <jt@bougret.hpl.hp.com>)
 
-o get latest orinoco changes from David.
-
-  PRI1
-
-o get the latest airo.c fixes from CVS.  This will hopefully fix problems
-  people have reported on the LKML.
-
-  PRI1
-
 o get HostAP driver in the kernel.  No consolidation of the 802.11
   management across driver can happen until this one is in (which is probably
   2.7.X material).  I think Jouni is mostly ready but didn't find time for
@@ -69,17 +60,7 @@ o get HostAP driver in the kernel.  No c
   PRI2
 
 o get more wireless drivers into the kernel.  The most "integrable" drivers
-  at this point seem the NWN driver, Pavel's Spectrum driver and the Atmel
-  driver.
-
-  PRI1
-
-o The last two drivers mentioned above are held up by firmware issues (see
-  flamewar on LKML a few days ago).  So maybe fixing those firmware issues
-  should be a requirement for 2.6.X, because we can expect more wireless
-  devices to need firmware upload at startup coming to market.
-
-  (in progress?)
+  at this point seem the NWN driver, Pavel's Spectrum driver.
 
   PRI1
 
@@ -106,40 +87,6 @@ o Integrate Chris Mason's 2.4 reiserfs o
   Ordered: PRI2
   data journalled: PRI3
 
-o (Trond:) Yes: I'm still working on an atomic "open()", i.e.  one
-           where we short-circuit the usual VFS path_walk() + lookup() +
-           permission() + create() + ....  bullsh*t...
-
-           I have several reasons for wanting to do this (all of
-           them related to NFS of course, but much of the reasoning applies
-           to *all* networked file systems).
-
-   1) The above sequence is simply not atomic on *any* networked
-      filesystem.
-
-   2) It introduces a sh*tload of completely unnecessary RPC calls (why
-      do a 'permission' RPC call when the server is in *any* case going to
-      tell you whether or not this operations is allowed.  Why do a
-      'lookup()' when the 'create()' call can be made to tell you whether or
-      not a file already exists).
-
-   3) It is incompatible with some operations: the current create()
-      doesn't pass an 'EXCLUSIVE' flag down to the filesystems.
-
-   4) (NFS specific?) open() has very different cache consistency
-      requirements when compared to most other VFS operations.
-
-   I'd very much like for something like Peter Braam's 'lookup with
-   intent' or (better yet) for a proper dentry->open() to be integrated with
-   path_walk()/open_namei().  I'm still working on the latter (Peter has
-   already completed the lookup with intent stuff).
-
-   (All this is in progress, see http://www.fys.uio.no/~trondmy/src)
-
-   (Is awaiting Pater Braam's intent patches.  Applicable to CIFS)
-
-   PRI2 (?)
-
 o viro: convert more filesystems to use lib/parser.c for options.
 
   PRI2
@@ -338,14 +285,9 @@ o mochel: ACPI suspend doesn't work.  Im
 drivers/block/
 ~~~~~~~~~~~~~~
 
-o Floppy is almost unusably buggy still
-
-  akpm: we need more people to test & report.
-
-  alan: "Floppy has worked for me since the patches that went in 2.5.69-ac
-  and I think -bk somewhere"
+o More testing of floppy
 
-  PRI1
+  PRI3
 
 drivers/char/
 ~~~~~~~~~~~~~
@@ -450,10 +392,6 @@ sound/
 o rmk: several OSS drivers for SA11xx-based hardware in need of
   ALSA-ification and L3 bus support code for these.
 
-o rmk: linux/sound/drivers/mpu401/mpu401.c and
-  linux/sound/drivers/virmidi.c complained about 'errno' at some time in the
-  past, need to confirm whether this is still a problem.
-
 o rmk: need to complete ALSA-ification of the WaveArtist driver for both
   NetWinder and other stuff (there's some fairly fundamental differences in
   the way the mixer needs to be handled for the NetWinder.)

_
